Table of Contents

Class: HTTPChannel | Twisted-0.19.0/twisted/protocols/http.py
--- | ---
A receiver for HTTP requests.
Base Classes |
--- | ---
basic.LineReceiver
Methods |
--- | ---
__init__ allContentReceived allHeadersReceived checkPersistence headerReceived lineReceived rawDataReceived requestDone
| __init__
    __init__ ( self )
| allContentReceived
    allContentReceived ( self )
| allHeadersReceived
    allHeadersReceived ( self )
| checkPersistence
    checkPersistence (
            self,
            request,
            version,
            )
Check if the channel should close or not.
| headerReceived
    headerReceived ( self,  line )
Do pre-processing (for content-length) and store this header away.
| lineReceived
    lineReceived ( self,  line )
| rawDataReceived
    rawDataReceived ( self,  data )
| requestDone
    requestDone ( self,  request )
Called by first request in queue when it is done.
Exceptions |
--- | ---
TypeError

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:57 2002 by HappyDoc version 2.0